Range-v3 Range algorithms, views, and actions for the Standard Library |

Functions
min.hpp File Reference

## Functions
template<typename Rng , typename C = less, typename P = identity>
constexpr range_value_t< Rng > | ranges::min (Rng &&rng, C pred=C{}, P proj=P{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
template<typename T , typename C = less, typename P = identity>
constexpr T | ranges::min (std::initializer_list< T > const &&rng, C pred=C{}, P proj=P{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
template<typename T , typename C = less, typename P = identity>
constexpr T const & | ranges::min (T const &a, T const &b, C pred=C{}, P proj=P{})
| function template `min` More...